Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Class ClientSessionInfo

    java.lang.Object
      org.jivesoftware.openfire.session.ClientSessionInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class ClientSessionInfo

extends Object
implements Externalizable

Client session information to be used when running in a cluster. The session information is shared between cluster nodes and is meant to be used by remote sessions to avoid invocation remote calls and instead use cached information. This optimization should give an important boost to the application specifically while users are logging in.

Session information is stored after a user authenticated and bound a resource.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`ClientSessionInfo()`
`ClientSessionInfo(LocalClientSession session)`

Method Summary
`String` | `getActiveList()`
`String` | `getDefaultList()`
`org.xmpp.packet.Presence` | `getPresence()`
`boolean` | `isOfflineFloodStopped()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientSessionInfo

    public ClientSessionInfo()

### ClientSessionInfo

    public ClientSessionInfo(LocalClientSession session)

Method Detail

### getPresence

    public org.xmpp.packet.Presence getPresence()

### getDefaultList

    public String getDefaultList()

### getActiveList

    public String getActiveList()

### isOfflineFloodStopped

    public boolean isOfflineFloodStopped()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.